> For the complete documentation index, see [llms.txt](https://docs.zingyawesome.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zingyawesome.com/upgrading/3.0.0-upgrade-guide/3.0.2-upgrade-guide.md).

# 3.0.2 Upgrade Guide

The 3.0.2 release is a small update which is easy to upgrade to.&#x20;

Simply download the latest version from BuiltByBit. Extract the zip and copy over the following files to your existing installation, replacing the old files:&#x20;

* pyproject.toml
* embeds.yml
* settings.yml
* cogs/moderation/message\_logger.py
* cogs/music/player.py
* cogs/tickets/close.py
* cogs/tickets/utils.py

### Configuration Changes

Instead of replacing settings.yml, you can perform the following changes on settings.yml:

* Remove `hasteserver` and `hasteserver_timeformat` from the bottom

Instead of replacing embeds.yml, you can perform the following changes on embeds.yml:

* Remove `message_delete_hastebin_title`, `message_delete_hastebin_description` and `message_delete_hastebin_attachment`
* Remove `message_edit_hastebin_title`, `message_edit_hastebin_description` and `message_edit_hastebin_attachment`&#x20;
* Change `message_longdelete_log` to

  ```yaml
  # Additional %author%, %author-mention%, %author-id%, %author-avatar%, %deleter%, %deleter-mention%, %deleter-id%, %channel-name%, %channel-mention% and %deleted-after% placeholders available
  message_longdelete_log:
    title: "🗑️ Message Deleted"
    fields:
      - ["Author: ", "%author-mention% \n", false]
      # Deleted by field will not be added if the user deleted their own message
      - deletedby: ["Deleted By: ", "%deleter-mention% \n", false]
      - ["Channel: ", "%channel-mention% \n", false]
      - ["Deleted After: ", "%deleted-after% \n", false]
    thumbnail: "%author-avatar%"
    colour: "normal"
  ```
* Change `message_longedit_log` to

  ```yaml
  # Additional %author%, %author-mention%, %author-id%, %author-avatar%, %channel-name%, %channel-mention% and %edited-after% placeholders available
  message_longedit_log:
    title: "📝 Message Edited"
    description: "[Go to message](%message-url%)"
    fields:
      - ["Author: ", "%author-mention% \n", false]
      - ["Channel: ", "%channel-mention% \n", false]
      - ["Edited After: ", "%edited-after%", false]
    thumbnail: "%author-avatar%"
    colour: "normal"
  ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zingyawesome.com/upgrading/3.0.0-upgrade-guide/3.0.2-upgrade-guide.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
